#!/bin/sh
# jcoder24 2007-4-2

#Unleashed, this will be either '/' or '<path>/rootfs-complete'...
CURRDIR="`pwd`"
ABSDIR="$CURRDIR"
[ "$ABSDIR" = "/" ] && ABSDIR=""

#-------------------------------------
#convert Adobe Distiller ppd to pdq 
#-------------------------------------
cd $ABSDIR/usr/local/ppdtopdq
./ppdtopdq $ABSDIR/etc/pdq/drivers/ADIST5.PPD > $ABSDIR/etc/pdq/drivers/postscript/adobe_distiller
chmod +x $ABSDIR/etc/pdq/drivers/postscript/adobe_distiller

#-------------------------------------
#add facility to print images and text 
#-------------------------------------
cd $ABSDIR/etc/pdq/drivers/postscript
cp adobe_distiller adobe_distiller.bak

gawk '{if (/filter_exec/) {system("cat $ABSDIR/etc/pdq/drivers/extra");print $0;} else {print $0};}' $ABSDIR/etc/pdq/drivers/postscript/adobe_distiller.bak > $ABSDIR/etc/pdq/drivers/postscript/adobe_distiller

#-------------------------------------
#create default pdf folder and printer
#-------------------------------------
mkdir -p $ABSDIR/var/spool/pdfs

if [ `grep -c pdf-writer-ad $ABSDIR/etc/pdq/printrc` -eq 0 ]
then
cat >> $ABSDIR/etc/pdq/printrc << EOF

printer "pdf-writer-ad" {
        # Added by the puppy pdf printer package
        location "FILE"
        model "PDF"
        driver "Adobe-Acrobat-Distiller-0.1"
        interface "pdf"
        driver_opts { }
        driver_args { }
        interface_opts { }
}
EOF
fi

#-------------------------------------
#rm files that are no longer needed
#-------------------------------------

rm $ABSDIR/etc/pdq/drivers/postscript/adobe_distiller.bak
rm $ABSDIR/etc/pdq/drivers/extra
rm $ABSDIR/etc/pdq/drivers/ADIST5.PPD
rm -rf $ABSDIR/usr/local/ppdtopdq/

cd "$CURRDIR"
